## org.eclipse.amp.escape.ascape.adapt
Class AscapeModelFactoryProvider

    java.lang.Object
      org.eclipse.amp.escape.ascape.adapt.AscapeModelFactoryProvider

All Implemented Interfaces:
  ModelFactoryProvider

    public class AscapeModelFactoryProvider

extends java.lang.Object
implements ModelFactoryProvider

Constructor Summary
`AscapeModelFactoryProvider()`

Method Summary
`EditPartFactory` `getEditPartFactory()`
`EditPartFactory` `getEditPartTreeFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AscapeModelFactoryProvider

    public AscapeModelFactoryProvider()

Method Detail

### getEditPartFactory

    public EditPartFactory getEditPartFactory()

  Specified by:
    `getEditPartFactory` in interface `ModelFactoryProvider`

### getEditPartTreeFactory

    public EditPartFactory getEditPartTreeFactory()

  Specified by:
    `getEditPartTreeFactory` in interface `ModelFactoryProvider`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors